Subject: Building libltdl with MSVC fails

From: Kirill Makurin <[email-masked]>
Date: Tue, 3 Jun 2025 14:29:06 +0000

Hi,

Building libltdl with MSVC fails:

```
libltdl_la-ltdl.obj : error LNK2019: unresolved external symbol lt_ltdl_LTX_preloaded_symbols referenced in function lt_dlinit
libltdl\.libs\libltdl-7.dll : fatal error LNK1120: 1 unresolved externals
```

I attached full invocation in separate file since it's quite messy.

I did some investigation.

Apparently, `lt_ltdl_LTX_preloaded_symbols` is supposed to be defined in libtool-generated `libltdl/.libs/libltdlS.c`, however it defines `lt_libltdl_LTX_preloaded_symbols` instead, as if it was mingw build.

I was building from libtool-2.5.4 release tarball. I tried building from `master` and the issue also exist there.

Thank you for working on MSVC-related issues. I have some other things to report/suggest.

- Kirill Makurin